<?php
    include '../../conexion/conn.php';
        $rs = mysql_query("SELECT contenedor_planilla.cliente_cod, contenedor_fotos.nombre_foto_archivo FROM `contenedor_fotos` INNER JOIN contenedor_planilla ON contenedor_planilla.folio_planilla=contenedor_fotos.folio_planilla WHERE contenedor_fotos.calidad_baja='NO'");
        while($row = mysql_fetch_array($rs)){
            $imagen='../../Ingreso/image/'.$row['cliente_cod'].'/'.$row['nombre_foto_archivo'].'.jpg'; 
            # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
            //echo '<img src="../../Ingreso/image/'.$row['cliente_cod'].'/'.$row['nombre_foto_archivo'].'.jpg" />';
            $imagen_final='../../Ingreso/image/'.$row['cliente_cod'].'/'.$row['nombre_foto_archivo'].'.jpg'; 
            $ancho_nuevo=640; 
            $alto_nuevo=480; 
            redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 


            $sql = "UPDATE contenedor_fotos SET calidad_baja='SI' WHERE nombre_foto_archivo='".$row['nombre_foto_archivo']."'";
        $result = @mysql_query($sql);
            echo $row['cliente_cod']." - FOTO ".$row['nombre_foto_archivo'].".jpg OK<br/>";

        }

    

function redim($ruta1,$ruta2,$ancho,$alto) 
    { 

    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    } 


?>